* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Urbanist', sans-serif;
}

html, body{
  height: 100%
}

#root{
  position: block;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

/* NAVBAR */
.header{
  background-color: #000;
  color: #fff
}

.a-link {
  color: #000;
  padding: 0!important;
  margin: 0!important;
  text-decoration: none;

}

.dropdown-item:active {
  background-color: #000!important;
  color: #fff!important;
}

.nav-item{
  color: #000!important;
}

.dropdown-menu{
  margin-top: 0!important;
}

#basic-nav-dropdown{
  color: #000!important;
}

.offcanvas-footer{
  padding: 1rem;
  border-top: 1px solid rgb(232, 218, 218);
}

/* NAVBAR END */

/* FOOTER */

.footer {
  position: relative;
  margin-top: auto;
  padding: 3px 0;
  bottom: 0;
  width: 100%;
  background-color: #000;
}

.footer-text{
  text-align: center;
  color: #fff!important;
}

/* FOOTER END */

/* LOGIN AND REGISTER */

.form-div, .question{
  margin: 0 auto!important;
}

.a-link:hover {
  color: #000;
  text-decoration: underline;
  padding: 0;
  margin: 0;
}

.reg-btn{
  background-color: white!important;
  color: black!important;
  border-color: #000!important;
}

.reg-btn:hover{
  background-color: #000!important;
  color: #fff!important;
}

/* Sweet Alert Toast */
.colored-toast.swal2-icon-error {
  background-color: #f27474 !important;
}

.colored-toast .swal2-title {
  color: white;
}

.colored-toast .swal2-close {
  color: white;
}

.colored-toast .swal2-html-container {
  color: white;
}

.add-cart{
  background-color: #fff!important;
  color: #000!important;
}
.link-toast{
  text-decoration: none;
}

/* Sweet Alert Toast End */
/* LOGIN AND REGISTER END */


/* Product Card */
.prod-link{
  color: #000!important;
  text-decoration: none!important;
}

.prod-img{
  width: 200px!important;
}
/* Product Card END*/

/* Specific Product */
.wrapper{
  display: flex;
}

.back-btn{
  /* max-width for: 
  sm - 20%
  md - 12%*/
  max-width: 12%;
  margin: 0 30px;
  cursor: pointer;
}

.product-img{
  
  width: 90%;
  height: 80%;
}

.info-container{
  padding: 0px 50px;
}

.title{
  padding: 0 10px;
  font-weight: 300;
}

.description{
  padding: 0 10px;
  margin: 10px 0;
}

.price{
  padding: 0 10px;
  font-weight: 200;
  font-size: 40px;
}

.line{
  width: 100%;
  border-bottom: 1px solid rgb(162, 151, 151);
  margin: 40px 0;
}

.quantity-container{
  align-items: center!important;
  font-weight: 700!important;
  justify-content: center!important;
  padding-left:0!important
}


.quantity-title{
  margin: 0 10px;
  font-weight: 300;
}

.quantity-selector{
  height: 35px;
  display: flex;
  align-items: center;
  justify-content:flex-start;
}

.quantity-text{
  width: 10%!important;
}

.quantity-btn{
  border: 0!important;
}


.quantity-btn:active, .quantity-btn:hover, .quantity-btn:focus{
  border: 0!important;
  color: #000!important;
  box-shadow: none!important;
  background-color:inherit!important;
}

.cart-btn, .order-btn{
  font-weight: 500!important;
  border-radius: 0!important;
  width: 49%;
}

.order-btn{
  margin-left: 2%;
}

/* Specific Product END */

/* HomePage */

.carousel-item{
  max-height: 500px!important;
}

.see-all{
  border-bottom: 1px  solid #000;
  color: #000!important;
  text-decoration: none!important;
}

.drinks-highlight{
  min-height: 100%!important;
}

.drinks-btn{
  background-color: #000!important;
  color: #fff!important;
  border-color: #000!important;
}

.drinks-btn:hover{
  background-color: #fff!important;
  color: #000!important;
}

/* HomePage End */

/* All Products */
.thead{
  background-color: #000!important;
  color: #fff!important;
}

.actions-btn{
  margin: 0 10px!important;
}


.all-product-name{
  color: #000!important;
  text-decoration: none!important;
}

.all-product-name:hover{
  text-decoration: underline!important;
}

.all-image{
  width: 100px;
}

.deleteBtn:hover{
  background-color: red!important;
  border-color:inherit!important;
}

/* All Products END */


/* Cart */

.cart-container{
  display: flex;
  flex-direction: column;
}

.cart-header th{
  font-weight: 400!important;
}

.cart-empty-bottom{
  display:flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/* .cart-empty-text{
  font-weight: 300;
  font-size: 2rem;
} */

.empty{
  margin: 50px 0;
  width: 30%!important;
}

.product-name{
  text-decoration: none!important;
  color: #000!important;
}

.product-name:hover{
  text-decoration: underline!important;
  color: #000!important;
}

.order-bottom{
  padding-top: 3%!important;
}

.total-text{
  font-weight: 300!important;
}

.cart-qty{
  display: flex;
  justify-content: center;
  flex-direction: row;
  align-items: center;
  margin-top: 45%;
  /* border: 1px solid black; */
}

.remove-btn{
  border: 0!important;  
}

.cart-checkout-container, .cart-checkout-container-sm{
  margin-right: 1%;
  display: flex!important;
  flex-direction: column;
  align-items: flex-end;
}

/* Cart END */

/* Order History */

.order-link{
  text-decoration: none!;
}

.order-link-text{
  text-decoration: none!important;
  color: #000 !important;
  font-weight: 300!important;
}
.order-link-text h4{
  margin-top: 3%;
  font-weight: 300!important;
}

.order-link-text span{
  text-decoration: underline;
}

.order-item{
  color: #000!important;
  text-decoration: none!important;
}

.order-item:hover{
  text-decoration: underline!important;
}

.order-list{
  list-style-type: none!important;

}

.order-empty{
  width: 30%!important;
}

/* Order History End */

/* Scrollbar Customization */

/*The whole scrollbar*/
::-webkit-scrollbar {
	background: #fff;
	width: 12px;
}


/*Makes to edges of the scrollbar looks disappeared*/
::-webkit-scrollbar-track {
	border-radius: 100vw;
}

/* Makes the bar lose its edges */
::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background: rgb(42, 40, 40);
}

/*Effects when you hover the bar*/
::-webkit-scrollbar-thumb:hover{
  background: #40514E;
}

/* Scrollbar Customization END */

@media (min-width: 501px) and (max-width: 900px){
  .empty{
    width: 75%!important;
  }

  .order-empty{
    width: 50%!important;
  }

  .order-wrapper{
    min-height: 50vh!important
  }

}

@media (max-width: 500px) {
  .wrapper{
    flex-direction: column;
    margin-bottom: 5%;
  }

  .cart-price{
    display: none !important;;
  }

  .title{
    font-size: 40px;
  }
  
  .back-btn{
    max-width: 30%;
    margin-left: 0;
  }

  .empty{
    width: 100% !important;
  }

  .order-wrapper{
    min-height: 50vh!important
  }

  .order-empty{
    width: 100%!important;
  }
  
  .order-link-text h4{
    margin-top: 10%!important;
  }
}

@media (max-width: 320px){
  .order-link-text span{
    display:block;
  }
}